Bug 64931 - pattern matching should disregard case
Summary: pattern matching should disregard case
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: tcp_wrappers   
(Show other bugs)
Version: 7.2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Florian La Roche
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-05-14 19:09 UTC by Rudolph T Maceyko
Modified: 2007-04-18 16:42 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-14 19:09:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Rudolph T Maceyko 2002-05-14 19:09:43 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2.1) Gecko/20010901

Description of problem:
The patch given in bug ID #17847 does its matching with regard to case, so it is
unlike the behavior of the old SSH that the function was take from.  SSH
converted hostnames to lowercase before doings its matching.

Version-Release number of selected component (if applicable):
7.6-19

How reproducible:
Always

Steps to Reproduce:
1. add entry in hosts.allow for MiXeD-CaSe domain name using * or ?
2. observe failure to match the host 
	

Actual Results:  May 14 14:30:00 host sshd[26855]: refused connect from
UP.PER.CASE.low.er.case (ip.ad.dr.ess)

Expected Results:  connection should be allowed as though the hostname had been
specified without wildcarding

Additional info:

I added a comment to bug ID #17847, but that's marked as closed, so I created a
new bug ID.

Comment 1 Florian La Roche 2002-06-11 20:41:27 UTC
Should be fixed in 7.6-22 or higher.

Thanks,

Florian La Roche



Note You need to log in before you can comment on or make changes to this bug.